
%define rel 1

Name:           prison
Version: 		5.115.0
Release:        %mkrel 1
Summary:        A Qt-based barcode abstraction library
Group:          Graphical desktop/KDE5 
License:        MIT
URL:            https://projects.kde.org/projects/kdesupport/prison
Source0:        http://download.kde.org/stable/frameworks/5.29/%{name}-%{version}.tar.xz
#------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64dmtx-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: qrencode-devel
#------------------------------------

%description
Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

#--------------------------------------------------------------------

%define prison_major 5
%define libkf5prison %mklibname kf5%{name} %{prison_major}

%package -n %{libkf5prison}
Summary:        Prison library file
Group:          System/Libraries

%description -n %{libkf5prison}
Library file for %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf5prison}
%{_kf5_libdir}/libKF5Prison.so.%{prison_major}*
%{_libdir}/qt5/qml/org/kde/prison/libprisonquickplugin.so
%{_libdir}/qt5/qml/org/kde/prison/qmldir
%{_kf5_datadir}/qlogging-*5/prison.*
/usr/lib64/libKF5PrisonScanner.so.*
/usr/lib64/qt5/qml/org/kde/prison/scanner/libprisonscannerquickplugin.so
/usr/lib64/qt5/qml/org/kde/prison/scanner/qmldir
#--------------------------------------------------------------------

%define libnamedev %mklibname kf5%{name} -d

%package -n %{libnamedev}
Summary:        Prison development files
Group:          Development/Libraries
Requires:       %{libkf5prison} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for applications that use %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libnamedev}
%{_kf5_libdir}/libKF5Prison.so
%{_kf5_libdir}/libKF5PrisonScanner.so
%{_kf5_libdir}/cmake/KF5Prison/
%{_kf5_libdir}/qt5/mkspecs
/usr/include
#--------------------------------------------------------------------
%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version

* Sun Jun 11 2023 tex - 5.107.0-1pclos2023
- new version

* Sun May 14 2023 tex - 5.106.0-1pclos2023
- new version

* Sat Apr 08 2023 tex - 5.105.0-1pclos2023
- new version

* Wed Mar 08 2023 tex - 5.104.0-1pclos2023
- new version

* Sun Feb 12 2023 tex - 5.103.0-1pclos2023
- new version

* Sat Jan 14 2023 tex - 5.102.0-1pclos2023
- new version

* Sun Dec 11 2022 tex - 5.101.0-1pclos2022
- new version

* Mon Nov 14 2022 tex - 5.100.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 5.99.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 5.98.0-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 5.98.0-1pclos2022
- new version

* Mon Aug 15 2022 tex - 5.97.0-1pclos2022
- new version

* Sun Jul 10 2022 tex - 5.96.0-1pclos2022
- new version

* Mon Jun 13 2022 tex - 5.95.0-1pclos2022
- new version

* Wed May 25 2022 tex - 5.94.0-1pclos2022
- new version

* Sun Apr 10 2022 tex - 5.93.0-1pclos2022
- new version

* Sun Mar 13 2022 tex - 5.92.0-1pclos2022
- new version

* Sun Feb 13 2022 tex - 5.91.0-1pclos2022
- new version

* Sat Jan 08 2022 tex - 5.90.0-1pclos2022
- new version

* Tue Dec 14 2021 tex - 5.89.0-1pclos2021
- new version

* Wed Nov 10 2021 tex - 5.88.0-1pclos2021
- new version

* Sat Oct 09 2021 tex - 5.87.0-1pclos2021
- new version

* Mon Sep 13 2021 tex - 5.86.0-2pclos2021
- rebuild against updates

* Sat Sep 11 2021 tex - 5.86.0-1pclos2021
- new version

* Wed Aug 11 2021 tex - 5.85.0-1pclos2021
- new version

* Fri Jul 09 2021 tex - 5.84.0-1pclos2021
- new version

* Wed Jun 16 2021 tex - 5.83.0-2pclos2021
- rebuild against updates

* Sat Jun 12 2021 tex - 5.83.0-1pclos2021
- new version

